Subject: bug#65843: 28.2; Too many iconified frames in .emacs.desktop -> crash (macOS)

From: Christian Tanzer <[email-masked]>
Date: Sun, 10 Sep 2023 16:40:43 +0100

On 10.09.2023, at 16:37, Gerd Möllmann <[email-masked]> wrote:
> 
> Christian Tanzer <[email-masked]> writes:
> 
>> Weirder and weirder …
> 
> Wait a moment...  I just got this
> 
> [emacs-29] gerd@Mini 2023-09-10 17:24 
> ~/emacs/29/src/ > ~/emacs/29/src/emacs -Q --eval '(desktop-read "~/bug-sowieso")' 
> objc[88769]: autorelease pool page 0x11b4a5000 corrupted
>  magic     0x00000000 0x00000000 0x00000000 0x00000000
>  should be 0xa1a1a1a1 0x4f545541 0x454c4552 0x21455341
>  pthread   0x201892080
>  should be 0x201892080
> 
> Fatal error 6: Aborted
> 
> It doesn't seem to happen everytime, and to make things weirder,
> I didn't get it to abort under lldb.

Welcome to the club. It seems to be a real Heisenbug.

> Guess I'll build an emacs-29 with all checking bells and whistles now.
> 
> I come back to you when I find something out.

I’ll keep my fingers crossed.